VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "clsPlugin"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
Option Base 0
Option Explicit
Option Compare Text

Private Sub Class_Terminate()
    Set Bot = Nothing
    Set MainForm = Nothing
End Sub

Public Sub RunPlugin(ByVal frmMain As Object, ByRef Info() As String)
    Set MainForm = frmMain
    ReDim Info(4)
    Info(0) = "Author: l2k-Shadow"
    Info(1) = "Plugin: l2uthless Chat User Monitor v1.01"
    Info(2) = "To display user monitor, click the User Monitor menu button under Plugins menu."
    Info(3) = "Right click a name to add to monitor, or type it in the textbox and press enter."
    Info(4) = "You can add mail and remove people from the monitor by right-clicking the name in the monitor list."
End Sub

Public Sub AddToUserMenu(ByRef ChildMenus() As String)
    ReDim ChildMenus(1)
    ChildMenus(0) = "Add To User Monitor"
    ChildMenus(1) = "-"
End Sub

Public Sub AddToPluginsMenu(ByRef ChildMenus() As String)
    ReDim ChildMenus(1)
    ChildMenus(0) = "User Monitor"
    ChildMenus(1) = "-"
End Sub

Public Sub ProfileSwitch(ByVal objBot As Object, ByVal Index As Integer)
    Set Bot = objBot
    BotIndex = Index
End Sub

Public Sub MenuClicked(ByVal MenuName As String, Optional ByVal UserClicked As String)
    Select Case MenuName
        Case "User Monitor"
            frmMain.Show
        Case "Add To User Monitor"
            frmMain.txtAddToMonitor.Text = UserClicked
            frmMain.txtAddToMonitor_KeyPress &HD
    End Select
End Sub

'Public Function MessageSend(ByVal Index As Integer, ByVal Message As String, Optional ByRef ReturnMessage As String) As Boolean
Public Function MessageSend(ByVal Message As String) As Boolean
'
End Function

Public Sub MessageReceive(ByVal Index As Integer, ByVal EventID As Long, Optional ByVal Username As String, Optional ByVal Message As String, Optional ByVal Ping As Long, Optional ByVal Flags As Long, Optional ByVal Statstring As String)
'
End Sub

